Template Numerical Library: TNL::Meshes::NDMetaGrid< Dimension, Real, Index > Class Template Reference

Template Numerical Library version\ main:0b2c40fb1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
TNL::Meshes::NDMetaGrid< Dimension, Real, Index > Class Template Reference

Minimal class usable as Mesh in the Writers::VTIWriter. More...

`#include <TNL/Meshes/NDMetaGrid.h>`

Collaboration diagram for TNL::Meshes::NDMetaGrid< Dimension, Real, Index >:
[legend]

## Public Types
using | CoordinatesType = Containers::StaticVector< Dimension, Index >
using | GlobalIndexType = Index
using | PointType = Containers::StaticVector< Dimension, Real >
using | RealType = Real

## Public Member Functions
const CoordinatesType & | getDimensions () const
| Returns the grid dimensions/size.
const PointType & | getOrigin () const
| Returns the origin of the grid (coordinates of the left bottom front corner).
const PointType & | getSpaceSteps () const
| Returns the space steps of the grid.
void | setDimensions (const CoordinatesType &dimensions)
| Sets the grid dimensions/size.
void | setDomain (const PointType &origin, const PointType &proportions)
| Sets the domain of the grid (i.e., the origin and proportions/length). Note that space steps are computed using the current grid dimensions.
void | setOrigin (const PointType &origin)
| Sets the origin of the grid (coordinates of the left bottom front corner).
void | setSpaceSteps (const PointType &spaceSteps)
| Sets the space steps of the grid, i.e. the parameters usually denoted as hx, hy, hz.

## Static Public Member Functions
static constexpr int | getMeshDimension ()
| Returns the spatial dimension of the grid.

## Protected Attributes
CoordinatesType | dimensions = 0
PointType | origin = 0
PointType | spaceSteps = 0

## Detailed Description

template<int Dimension, typename Real, typename Index>
class TNL::Meshes::NDMetaGrid< Dimension, Real, Index >

Minimal class usable as Mesh in the Writers::VTIWriter.

It does not have a Device template argument, because it does not describe a data structure - it contains only the information describing the domain of the grid (i.e., the metadata of the ImageData tag in the VTI file format). Note that VTK supports only 1, 2, or 3-dimensional grids.

The documentation for this class was generated from the following file:

- src/TNL/Meshes/NDMetaGrid.h